Bug 116961 - command completion for make, ant
command completion for make, ant
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-02-26 16:16 EST by John McNair
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-02 11:24:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Gzipped shell script that contains the items necessary to implement this feature (316 bytes, application/octet-stream)
2004-02-26 16:21 EST, John McNair
no flags Details

  None (edit)
Description John McNair 2004-02-26 16:16:12 EST
Description of problem:
I wrote a couple of shell functions to provide command completion for
ant and make.  I've found them to be extremely useful, particularly
when dealing with third party stuff that I've downloaded.  I guess I
should mention specifically that the completion works on build targets
found in build.xml for ant and Makefile for make.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add ant_targets and make_targets functions to some shell init file
(e.g. /etc/profile, ~/.bashrc, ~/.functions, etc.).
2. Add 'complete ...' statements to shell init file to tell bash to
use the two functions named above for ant and make command completion.
Actual results:
Joy!  Bash finds my targets for me.

Expected results:

Additional info:
I'm attaching a file in the next step with all the goodies.  Hopefully.
Comment 1 John McNair 2004-02-26 16:21:16 EST
Created attachment 98089 [details]
Gzipped shell script that contains the items necessary to implement this feature

This attachment contains:
- ant_targets -> bash shell function to find ant targets in build.xml
- make_targets -> bash shell function to find make targets in Makefile
- the two 'complete' statements necessary to instruct bash to use the above
Comment 2 Tim Waugh 2004-03-02 11:24:46 EST
There is a bash-completions project, which is probably a better place
for these. (And it's a really good idea by the way!)


Note You need to log in before you can comment on or make changes to this bug.